Subject: Re: bug#34124: gnome-shell crash when opening the activities overview

From: Christopher Baines <[email-masked]>
Date: Wed, 24 Apr 2019 07:47:54 +0100

Ben Sturmfels <[email-masked]> writes:

> On Tue, 2019-04-23 at 21:33 +0100, Christopher Baines wrote:
>> Ricardo Wurmus <[email-masked]> writes:
>>
>> > Christopher Baines <[email-masked]> writes:
>> >
>> > > On one system running GuixSD, Gnome Shell crashes when opening
>> > > the
>> > > activities overview (super key, or clicking on the activities
>> > > button in
>> > > the top left).
>> > >
>> > >
>> > > (.gnome-shell-real:2471): GLib-GIO-CRITICAL **: 10:36:30.639:
>> > > g_file_new_for_path: assertion 'path != NULL' failed
>> > >
>> > > (.gnome-shell-real:2471): GLib-GIO-CRITICAL **: 10:36:30.639:
>> > > g_loadable_icon_load: assertion 'G_IS_LOADABLE_ICON (icon)'
>> > > failed
>> > >
>> > > (.gnome-shell-real:2471): Gtk-WARNING **: 10:36:30.639: Could not
>> > > load a pixbuf from icon theme.
>> > > This may indicate that pixbuf loaders or the mime database could
>> > > not be found.
>> > > **
>> > > Gtk:ERROR:gtkicontheme.c:4261:gtk_icon_info_load_icon_finish:
>> > > assertion failed: (icon_info_get_pixbuf_ready (icon_info))
>> >
>> > Could you try to see if setting LD_LIBRARY_PATH in the environment
>> > where
>> > GNOME Shell is launched to the lib directory of the “gdk-
>> > pixbuf+svg” (or
>> > “gdk-pixbuf”) package makes any difference?
>> >
>> > You may need to do this in ~/.xsession and launch the gnome-session
>> > manually.
>>
>> It's been a while since I've experienced this issue, and I don't
>> think I
>> have the generation that was affected around anymore.
>>
>> If I remember, I think I may have worked around this by removing a
>> package, although I'm not sure which.
>
> Christopher, can you tell me how you found these error messages? I'm
> interested in troubleshooting to see if I'm having the same issue.
>
> All I can find is the following in /var/log/messages after I click
> "Activities", "Show Applications":
>
> Apr 24 13:56:34 localhost gnome-session-binary[857]: WARNING:
> Application 'org.gnome.Shell.desktop' killed by signal 6

I think I ran `gnome-shell --replace` from a terminal, and watched the
output. You might also have some success writing to a log file,
e.g. `gnome-shell --replace 1>&2 | tee gnome-shell.log`.